<?php

IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `VIDEOS_DIR` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'") == 1){ 
  
  ERROR('Папка не может быть удалена, пока в ней есть хотябы одна папка', 'session');
  REDIRECT('/modules/?path=videos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `VIDEOS` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'") > 20){ 
  
  ERROR('Папка не может быть удалена, пока в ней более 20 файлов', 'session');
  REDIRECT('/modules/?path=videos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

/*
-----------------------------------------------
Удаление комментариев и лайков к видео из папки
-----------------------------------------------
*/

$data = DB::GET_STRING_ALL("SELECT `ID` FROM `VIDEOS` WHERE `ID_DIR` = '".$id_dir."'");

WHILE ($list = $data->FETCH()){
  
  DB::GET_SET("DELETE FROM `VIDEOS_LIKES` WHERE `VIDEO_ID` = '".$list['ID']."'");
  
  $data2 = DB::GET_STRING_ALL("SELECT `ID` FROM `VIDEOS_COMMENTS` WHERE `VIDEO_ID` = '".$list['ID']."'");
  
  WHILE ($list2 = $data2->FETCH()){
    
    DB::GET_SET("DELETE FROM `VIDEOS_COMMENTS_LIKES` WHERE `COMMENT_ID` = '".$list2['ID']."'");
    
    DB::GET_SET("DELETE FROM `VIDEOS_COMMENTS` WHERE `ID` = '".$list2['ID']."'");
    
    DB::GET_SET("DELETE FROM `ATTACHMENTS` WHERE `ID_POST` = '".$list2['ID']."' AND `TYPE_POST` = 'videos_comments'");
    
  }
  
}

/*
-----------------------
Удаление видео из папки
-----------------------
*/

$data = DB::GET_STRING_ALL("SELECT `ID`,`EXT` FROM `VIDEOS` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'");

WHILE ($list = $data->FETCH()){
  
  @UNLINK(ROOT.'/files/upload/videos/screen/'.$list['ID'].'.jpg');
  @UNLINK(ROOT.'/files/upload/videos/screen/240x240/'.$list['ID'].'.jpg');
  @UNLINK(ROOT.'/files/upload/videos/source/'.$list['ID'].'.'.$list['EXT'].'');
  
  DB::GET_SET("DELETE FROM `VIDEOS_SHOW` WHERE `VIDEO_ID` = '".$list['ID']."' AND `USER_ID` = '".$account['ID']."'");
  
  DB::GET_SET("DELETE FROM `VIDEOS` WHERE `ID` = '".$list['ID']."' AND `USER_ID` = '".$account['ID']."'");
  
}

/*
--------------------
Удаление самой папки
--------------------
*/
  
DB::GET_SET("DELETE FROM `VIDEOS_DIR` WHERE `ID` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'");

IF (ACCESS('videos_dir_delete', NULL, 1) || MANAGEMENT == 1){
  
  LOGS('Видео - удаление альбома '.$account['LOGIN'].'', $user['ID']);

}

SUCCESS('Папка успешно удалена', 'session');
REDIRECT('/modules/?path=videos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');

?>